diff --git a/src/test/isolation/specs/read-only-anomaly-3.spec b/src/test/isolation/specs/read-only-anomaly-3.spec
index 61d9c0b9e0f..80a38b5d4aa 100644
--- a/src/test/isolation/specs/read-only-anomaly-3.spec
+++ b/src/test/isolation/specs/read-only-anomaly-3.spec
@@ -36,4 +36,11 @@ setup		{ BEGIN TRANSACTION ISOLATION LEVEL SERIALIZABLE READ ONLY DEFERRABLE; }
 step s3r	{ SELECT id, balance FROM bank_account WHERE id IN ('X', 'Y') ORDER BY id; }
 step s3c	{ COMMIT; }
 
+session s4
+setup		{ BEGIN TRANSACTION ISOLATION LEVEL SERIALIZABLE; }
+step s4to	{ SET lock_timeout = '10ms' }
+step s4wx	{ UPDATE bank_account SET balance = -11 WHERE id = 'X'; }
+step s4c	{ COMMIT; }
+
 permutation s2rx s2ry s1ry s1wy s1c s3r s2wx s2c s3c
+permutation s2ry s1wy s1c s2wx s4to s4wx s4c s3r s2c s3c
